Bug 138436 - fc-cache fontconfig/libfreetype segfault processing MSungStd-Light-Acro.otf
Summary: fc-cache fontconfig/libfreetype segfault processing MSungStd-Light-Acro.otf
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: freetype   
(Show other bugs)
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Behdad Esfahbod
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-11-09 09:58 UTC by Richard Chan
Modified: 2008-08-02 23:40 UTC (History)
1 user (show)

Fixed In Version: 2.10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-30 21:41:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The correct fontconfig cache file (187 bytes, text/plain)
2005-10-22 01:24 UTC, Richard Chan
no flags Details

Description Richard Chan 2004-11-09 09:58:35 UTC
Description of problem:

fontconfig crashes on the font file MSungStd-Light-Acro.otf
when creating the fonts.cache-1 file. fc-cache will segfault
when processing a directroy with this file.
The existence of this file prevents X start-up on window
managers using fontconfig


Version-Release number of selected component (if applicable):
2.2.3-5

How reproducible:
Always


Steps to Reproduce:
1. Get the font file from Adobe Asian Font Packs
http://www.adobe.com/products/acrobat/acrrasianfontpack.html
by choosing
Adobe Acrobat 5.x
Chinese Traditional
UNIX
You will get a chtfont.tar.gz file containing the MSung... file
2. The file is 8351624 bytes with md5sum 
42aa2141a7406922f301108a1328bd0f
3. Create a directory for the file and put the directory in
/etc/fonts/local.conf
4. Run fc-cache -v -f
  
Actual results:
fc-cache will segfault on the directory containing this
font file


Expected results:
fc-cache will correctly create the cache file


Additional info:
This works on FC2 - could be problem in the fontconfig library.

Comment 1 Richard Chan 2004-11-09 10:05:05 UTC
Unfortunately the font file is too large to attach here - my apologies
for making you go through hoops to access the font but it is 
directly  available at
ftp://ftp.adobe.com/pub/adobe/acrobatreader/unix/5.x/chtfont.tar.gz

Comment 2 Richard Chan 2004-11-09 10:11:25 UTC
Tracked this down to freetype - I replaced libfreetype.so.6
with the library from FC2 and it works.

Comment 3 Richard Chan 2004-11-10 03:22:56 UTC
Faulty version of freetype is 2.1.9-1 as shipped
with Fedora Core 3. FC2's freetype-2.1.7-4 is ok.
Other large otfs from Adobe (e.g. Chinese Simplified, Japanese)

ftp://ftp.adobe.com/pub/adobe/acrobatreader/unix/5.x/chsfont.tar.gz
STSongStd-Light-Acro.otf 
ftp://ftp.adobe.com/pub/adobe/acrobatreader/unix/5.x/jpnfont.tar.gz
KozMinPro-Regular-Acro.otf

don't trigger this problem in FC3.

Comment 4 Matthias Clasen 2005-10-21 20:15:07 UTC
Do you know if the problem still occurs with freetype 2.1.10 ?

Comment 5 Richard Chan 2005-10-22 01:22:02 UTC
(In reply to comment #4)
> Do you know if the problem still occurs with freetype 2.1.10 ?
Fixed using 2.1.10 from rawhide (problem still occurs with 2.1.9 in Core 4); can
generate cache file now.

Comment 6 Richard Chan 2005-10-22 01:24:04 UTC
Created attachment 120279 [details]
The correct fontconfig cache file

This cache file is correctly generated by freetype 2.10 in rawhide 2005-10-09.
fc-cache crashes on this font file all the way from FC3 to FC4 with 2.1.9.

Comment 7 Richard Chan 2005-10-22 01:25:40 UTC
Oops - that should be rawhide 2005-10-22.

Comment 8 Matthew Miller 2006-07-10 20:36:28 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!


Comment 9 John Thacker 2006-10-30 21:41:18 UTC
Closing since it works in FC5 and forward, and FC3 and FC4 are maintained by
Fedora Legacy for security updates only.


Note You need to log in before you can comment on or make changes to this bug.